Bug 890094 - (CVE-2012-5670) CVE-2012-5670 freetype: Out-of-bounds write in _bdf_parse_glyphs() (#37907)
CVE-2012-5670 freetype: Out-of-bounds write in _bdf_parse_glyphs() (#37907)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20121215,repo...
: Security
Depends On:
Blocks: 890078
  Show dependency treegraph
 
Reported: 2012-12-24 23:25 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-03 00:20:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-12-24 23:25:02 EST
An out-of heap-based buffer write flaw was found in the way FreeType font rendering engine performed parsing of glyph information and relevant bitmaps for glyph bitmap distribution format (BDF). A remote attacker could provide a specially-crafted font file, which once opened in an application linked against FreeType would lead to that application crash, or, potentially, arbitrary code execution with the privileges of the user running the application.

Upstream bug:
https://savannah.nongnu.org/bugs/?37907 
Patch: 
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=7f2e4f4f553f6836be7683f66226afac3fa979b8

External References:

http://seclists.org/oss-sec/2012/q4/511
Comment 4 Huzaifa S. Sidhpurwala 2013-01-03 00:20:41 EST
Statement:

Not Vulnerable. This issue did not affect the version of freetype as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Huzaifa S. Sidhpurwala 2013-01-03 00:20:53 EST
This issue did not affect the version of freetype as shipped with Fedora 16 and Fedora 17.

Note You need to log in before you can comment on or make changes to this bug.